Accept or decline an invitation
curl --request PUT \
--url https://api.gleap.io/v3/invitations/{invitationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"accept": true
}'import requests
url = "https://api.gleap.io/v3/invitations/{invitationId}"
payload = { "accept": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accept: true})
};
fetch('https://api.gleap.io/v3/invitations/{invitationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueInvitation
Accept or decline an invitation
Accept or decline an invitation addressed to the authenticated user. On accept the user is added to the organisation or project with the invitation’s role. The invitation is consumed (deleted) either way. Fails with 409 if the invitation was issued to a different email, the user has not confirmed their email, or the target organisation has no seats left.
PUT
/
invitations
/
{invitationId}
Accept or decline an invitation
true⌘I